#ifndef DTOs_hpp
#define DTOs_hpp

#include "oatpp/Types.hpp"
#include "oatpp/macro/codegen.hpp"

#include OATPP_CODEGEN_BEGIN(DTO)

/**
 *  Data Transfer Object. Object containing fields only.
 *  Used in API for serialization/deserialization and validation
 */
class Embalses : public oatpp::DTO {
    DTO_INIT(Embalses, DTO)

    DTO_FIELD(Int32, ID);
    DTO_FIELD(String, AMBITO_NOMBRE);
    DTO_FIELD(String, EMBALSE_NOMBRE);
    DTO_FIELD(Int32, AGUA_TOTAL);
    DTO_FIELD(Int32, ELECTRICO_FLAG);
};

#include OATPP_CODEGEN_END(DTO)

#endif /* DTOs_hpp */
